Skip to main content
POST
/
review-annotations
curl --request POST \ --url https://api.coval.dev/v1/review-annotations \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "simulation_output_id": "sim-output-abc123", "metric_id": "metric-accuracy-001", "assignee": "reviewer@company.com" } '
{
  "review_annotation": {
    "name": "review-annotations/abc123def456ghi789jklm",
    "id": "abc123def456ghi789jklm",
    "simulation_output_id": "<string>",
    "metric_id": "<string>",
    "assignee": "<string>",
    "priority": "PRIORITY_STANDARD",
    "create_time": "2023-11-07T05:31:56Z",
    "update_time": "2023-11-07T05:31:56Z",
    "ground_truth_float_value": 123,
    "ground_truth_string_value": "<string>",
    "ground_truth_subvalues_by_timestamp": [
      {}
    ],
    "reviewer_notes": "<string>"
  }
}
{
  "error": {
    "code": "INVALID_ARGUMENT",
    "message": "Invalid request body",
    "details": [
      {
        "field": "simulation_output_id",
        "description": "simulation_output_id is required"
      }
    ]
  }
}
{
  "error": {
    "code": "UNAUTHENTICATED",
    "message": "Authentication failed",
    "details": [
      {
        "field": "X-API-Key",
        "description": "Invalid or missing API key"
      }
    ]
  }
}
{
  "error": {
    "code": "NOT_FOUND",
    "message": "Resource not found",
    "details": [
      {
        "field": "annotation_id",
        "description": "Annotation not found or not accessible by your organization"
      }
    ]
  }
}
{
  "error": {
    "code": "INTERNAL",
    "message": "Internal server error",
    "details": [
      {
        "description": "An unexpected error occurred"
      }
    ]
  }
}

Authorizations

X-API-Key
string
header
required

Organization API key for authentication

Query Parameters

project_id
string

Optional project ID to apply project-rule-aware completion status

Body

application/json
simulation_output_id
string
required

Simulation output ID to link

Minimum string length: 1
metric_id
string
required

Metric ID to link

Minimum string length: 1
assignee
string
required

Email of the reviewer to assign

Minimum string length: 1
ground_truth_float_value
number<float> | null

Optional ground truth numeric value (auto-completes annotation)

ground_truth_string_value
string | null

Optional ground truth string value (auto-completes annotation)

ground_truth_subvalues_by_timestamp
object[] | null

Optional ground truth subvalues

reviewer_notes
string | null

Optional reviewer notes

priority
enum<string>
default:PRIORITY_STANDARD

Annotation priority level

Available options:
PRIORITY_PRIMARY,
PRIORITY_STANDARD

Response

Annotation created successfully

review_annotation
object
required

A single review annotation resource.